com.example.labstatus

## Class DetailActivity.GetDetails

- java.lang.Object
- - android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Void>
  - - com.example.labstatus.DetailActivity.GetDetails

Enclosing class:
  DetailActivity

    private class DetailActivity.GetDetails
    extends android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Void>

Async task to get the details of CPU and its core utilization

See Also:
  `AsyncTask`

### Nested Class Summary

### Nested classes/interfaces inherited from class android.os.AsyncTask

`android.os.AsyncTask.Status`

### Field Summary

### Fields inherited from class android.os.AsyncTask

`SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

### Constructor Summary

Constructors
`private` `GetDetails()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Void` `doInBackground(java.lang.Void... arg0)`
`protected void` `onPostExecute(java.lang.Void result)`
`protected void` `onPreExecute()`

### Methods inherited from class android.os.AsyncTask

`cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetDetails

    private GetDetails()

### Method Detail

#### doInBackground

    protected java.lang.Void doInBackground(java.lang.Void... arg0)

Specified by:
  `doInBackground` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Void>`

#### onPostExecute

    protected void onPostExecute(java.lang.Void result)

Overrides:
  `onPostExecute` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Void>`

#### onPreExecute

    protected void onPreExecute()

Overrides:
  `onPreExecute` in class `android.os.AsyncTask<java.lang.Void,java.lang.Void,java.lang.Void>`